GETTEXT(1)

NOME
gettext - traduza mensagens

SINOPSE
gettext [OPÇÃO] [[DOMÍNIOTEXTO] MSGID]
gettext [OPÇÃO] -s [MSGID]...

DESCRIÇÃO
O programa gettext traduz uma mensagem de linguagem natural para a linguagem do usuário, consultando a tradução em um catálogo de mensagens.

Exibe tradução no idioma nativo de uma mensagem de texto.

-d, --domain=DOMÍNIOTEXTO
    obtém mensagens traduzidas de DOMÍNIOTEXTO

-c, --context=CONTEXTO
    especifica contexto para MSGID

-e  habilita expansão de algumas sequências de escape

-n  suprime nova linha ao final

-E  (ignorado por questão de compatibilidade)

[DOMÍNIOTEXTO] MSGID
    obtém mensagem traduzida correspondendo a MSGID de DOMÍNIOTEXTO

  Saída informativa:

-h, --help
    mostra esta ajuda e sai

-V, --version
    exibe a informação da versão e sai

Se o parâmetro DOMÍNIOTEXTO não for informado, o domínio é determinado por meio da variável de ambiente TEXTDOMAIN. Se o catálogo de mensagens não for encontrado no diretório padrão, outra localização pode ser especificada na variável de ambiente TEXTDOMAINDIR. Quando USADO com a opção -s o programa comporta-se como o comando "echo". Mas ele não apenas copia seus argumentos para stdout. Em vez disso, as mensagens encontradas no catálogo selecionado são traduzidas. Diretório de pesquisa padrão: /usr/share/locale

AUTOR
Escrito por Ulrich Drepper.

RELATANDO PROBLEMAS
Relate erros no rastreador em <https://savannah.gnu.org/projects/gettext> ou por e-mail para <bug-gettext@gnu.org>. Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>

DIREITOS AUTORAIS
Copyright © 1995-2023 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
A documentação completa do gettext é mantida como um manual Texinfo. Se os programas info e gettext estiverem adequadamente instalados em seu site, o comando

    info gettext

deve lhe dar acesso ao manual completo.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).